From e792f073a8f71b47c9c1da614ea8d7daeb223ef7 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Feb 2025 06:47:58 +0000
Subject: [PATCH] coreutils: upgrade 9.5 -> 9.6

---
 ...local.mk-fix-cross-compiling-problem.patch |  6 ++---
 .../coreutils/intermittent-testfailure.patch  | 16 +++++++++----
 .../remove-usr-local-lib-from-m4.patch        |  4 ++--
 .../{coreutils_9.5.bb => coreutils_9.6.bb}    | 24 +++++++++++++++++--
 4 files changed, 38 insertions(+), 12 deletions(-)
 rename meta/recipes-core/coreutils/{coreutils_9.5.bb => coreutils_9.6.bb} (91%)

diff --git a/meta/recipes-core/coreutils/coreutils/0001-local.mk-fix-cross-compiling-problem.patch b/meta/recipes-core/coreutils/coreutils/0001-local.mk-fix-cross-compiling-problem.patch
index 97a6357ab9..28b2d9c44f 100644
--- a/meta/recipes-core/coreutils/coreutils/0001-local.mk-fix-cross-compiling-problem.patch
+++ b/meta/recipes-core/coreutils/coreutils/0001-local.mk-fix-cross-compiling-problem.patch
@@ -1,4 +1,4 @@
-From 7cb2d20cfa2a27191255031d231cd41917dcffe8 Mon Sep 17 00:00:00 2001
+From 0c038d027b311710fd479cc38153f39cdcc326ef Mon Sep 17 00:00:00 2001
 From: Chen Qi <Qi.Chen@windriver.com>
 Date: Mon, 26 Dec 2016 16:10:35 +0800
 Subject: [PATCH] local.mk: fix cross compiling problem
@@ -15,10 +15,10 @@ Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/src/local.mk b/src/local.mk
-index 96ee941..cdd47d6 100644
+index fd9dc81..ef6e968 100644
 --- a/src/local.mk
 +++ b/src/local.mk
-@@ -704,4 +704,4 @@ cu_install_program = @INSTALL@
+@@ -731,4 +731,4 @@ cu_install_program = @INSTALL@
  else
  cu_install_program = src/ginstall
  endif
diff --git a/meta/recipes-core/coreutils/coreutils/intermittent-testfailure.patch b/meta/recipes-core/coreutils/coreutils/intermittent-testfailure.patch
index 0794532bdf..e4a23e3061 100644
--- a/meta/recipes-core/coreutils/coreutils/intermittent-testfailure.patch
+++ b/meta/recipes-core/coreutils/coreutils/intermittent-testfailure.patch
@@ -1,4 +1,7 @@
-tests/df: Fix intermittent test failure
+From c77fea064065a906665685f2e531fe03b131181d Mon Sep 17 00:00:00 2001
+From: Richard Purdie <richard.purdie@linuxfoundation.org>
+Date: Thu, 8 Aug 2024 10:37:58 +0100
+Subject: [PATCH] tests/df: Fix intermittent test failure
 
 The test writes to the disk and means the space used changes. If this
 crosses a number boundary, the heading spacing can change:
@@ -12,11 +15,14 @@ the spacing doesn't matter. Therefore strip any duplicate spaces using tr.
 Submitted: https://github.com/coreutils/coreutils/pull/88
 Upstream-Status: Backport [https://github.com/coreutils/coreutils/commit/c5725c8c4bb21903490a48035286d0f94463642e]
 Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
+---
+ tests/df/df-P.sh | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
 
-Index: coreutils-9.5/tests/df/df-P.sh
-===================================================================
---- coreutils-9.5.orig/tests/df/df-P.sh
-+++ coreutils-9.5/tests/df/df-P.sh
+diff --git a/tests/df/df-P.sh b/tests/df/df-P.sh
+index d35597f..30b3ef1 100755
+--- a/tests/df/df-P.sh
++++ b/tests/df/df-P.sh
 @@ -20,8 +20,8 @@
  print_ver_ df
  
diff --git a/meta/recipes-core/coreutils/coreutils/remove-usr-local-lib-from-m4.patch b/meta/recipes-core/coreutils/coreutils/remove-usr-local-lib-from-m4.patch
index 718de0ab78..6364f07201 100644
--- a/meta/recipes-core/coreutils/coreutils/remove-usr-local-lib-from-m4.patch
+++ b/meta/recipes-core/coreutils/coreutils/remove-usr-local-lib-from-m4.patch
@@ -1,4 +1,4 @@
-From f53ffb5b27ab7d4a4c62df00ebd6a1a6936d1709 Mon Sep 17 00:00:00 2001
+From 606c5efc3296b5c3237f81ba2b9fc8e96f795200 Mon Sep 17 00:00:00 2001
 From: Khem Raj <raj.khem@gmail.com>
 Date: Wed, 3 Aug 2011 14:12:30 -0700
 Subject: [PATCH] coreutils: Fix build on uclibc
@@ -17,7 +17,7 @@ Upstream-Status: Inappropriate [Upstream does care for AIX while we may not]
  1 file changed, 12 deletions(-)
 
 diff --git a/m4/getloadavg.m4 b/m4/getloadavg.m4
-index 9d0236f..68f7c52 100644
+index 8ab613d..5af7571 100644
 --- a/m4/getloadavg.m4
 +++ b/m4/getloadavg.m4
 @@ -46,18 +46,6 @@ if test $ac_cv_func_getloadavg != yes; then
diff --git a/meta/recipes-core/coreutils/coreutils_9.5.bb b/meta/recipes-core/coreutils/coreutils_9.6.bb
similarity index 91%
rename from meta/recipes-core/coreutils/coreutils_9.5.bb
rename to meta/recipes-core/coreutils/coreutils_9.6.bb
index 5372318312..1a08208a8b 100644
--- a/meta/recipes-core/coreutils/coreutils_9.5.bb
+++ b/meta/recipes-core/coreutils/coreutils_9.6.bb
@@ -1,3 +1,23 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- src/ls.c
+# +++ src/ls.c
+# @@ -1,5 +1,5 @@
+#  /* 'dir', 'vdir' and 'ls' directory listing programs for GNU.
+# -   Copyright (C) 1985-2024 Free Software Foundation, Inc.
+# +   Copyright (C) 1985-2025 Free Software Foundation, Inc.
+#  
+#     This program is free software: you can redistribute it and/or modify
+#     it under the terms of the GNU General Public License as published by
+# 
+#
+
 SUMMARY = "The basic file, shell and text manipulation utilities"
 DESCRIPTION = "The GNU Core Utilities provide the basic file, shell and text \
 manipulation utilities. These are the core utilities which are expected to exist on \
@@ -6,7 +26,7 @@ HOMEPAGE = "http://www.gnu.org/software/coreutils/"
 BUGTRACKER = "http://debbugs.gnu.org/coreutils"
 LICENSE = "GPL-3.0-or-later"
 LIC_FILES_CHKSUM = "file://COPYING;md5=1ebbd3e34237af26da5dc08a4e440464 \
-                    file://src/ls.c;beginline=1;endline=15;md5=9ac94aaed7fd46fd8df7147a9e3410cb \
+                    file://src/ls.c;beginline=1;endline=15;md5=824c1997414aea9f344747bd81cf5a31 \
                     "
 DEPENDS = "gmp libcap"
 DEPENDS:class-native = ""
@@ -19,7 +39,7 @@ SRC_URI = "${GNU_MIRROR}/coreutils/${BP}.tar.xz \
            file://intermittent-testfailure.patch \
            file://run-ptest \
            "
-SRC_URI[sha256sum] = "cd328edeac92f6a665de9f323c93b712af1858bc2e0d88f3f7100469470a1b8a"
+SRC_URI[sha256sum] = "7a0124327b398fd9eb1a6abde583389821422c744ffa10734b24f557610d3283"
 
 # http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=v8.27-101-gf5d7c0842
 #
-- 
2.44.1

